"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toJSONValueHelper = void 0;
/**
 * Either return the JSON-compatible version of the argument, or undefined (if
 * the item isn't itself replaceable, but maybe some fields in it are)
 */
const built_in_converters_1 = require("../built-in-converters");
const toJSONValueHelper = item => {
    for (const converter of built_in_converters_1.builtinConverters) {
        if (converter.matchObject(item)) {
            return converter.toJSONValue(item);
        }
    }
    return undefined;
};
exports.toJSONValueHelper = toJSONValueHelper;
//# sourceMappingURL=to-json-value-helper.js.map